# dwm

This is my personal fork of the [suckless tool](https://dwm.suckless.org), Dynamic Window Manager (`dwm`), that I use on any computers where workflow is critical. 

## My changes/patches

Here are the biggest changes and patches I applied to this fork of `dwm`:

* Gruvbox Dark themed
* Uses JetBrains Mono as the font
* `MODKEY` set to Super
* Added the following patches from the suckless website:
    * swallow
    * cursorwarp
    * fullgaps
    * hide_vacant_tags
    * sticky and stickyindicator
    * bottomstack
    * there may be more... I have no idea lol
* A couple keybinds are not stock (compared to vanilla dwm):
    * Quitting dwm rebinded to `Super+Shift+BackSpace` and confirms quitting with a script
    * The increments to resize the master area have been decreased
    * Launching `dmenu` launches a binary called `dmenu_run_history` which I found online somewhere, literally no idea where I found it lol. Eventually I'll patch it myself someday
    * Launching the terminal is bound to a script that launches Alacritty in the same directory as the current terminal window

## Installation

```bash
git clone https://codeberg.org/brysonsteck/dwm
cd dwm
sudo make install
```

## License and Warranty Disclaimer

`dwm` is free and open source software under the MIT/X Consortium License. Read the [LICENSE](LICENSE) file for more information.

